/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor.services;

import javax.management.ObjectName;

import org.jboss.mx.util.ObjectNameFactory;

/**
 * MBean interface.
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public interface JMXNotificationAppenderMBean
{
   /** The default ObjectName */
   final ObjectName OBJECT_NAME = ObjectNameFactory.create("jboss.system:service=Logging,type=JMXNotificationAppender");
   
   void setObjectName(String objectName) throws Exception;
   String getObjectName();
   
   void setNotificationType(String type);
   String getNotificationType();
   
}
